%define name hh2000
%define version 0.6
%define release 3mdk

Summary: An astronomy program
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Sciences/Astronomy
Url: http://hirame.hiram.edu/~worleyam/
Source: %{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-buildroot

%description
A solar system browser

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

%configure

%make

%install

%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/hh2000"\
title="Hitchhiker2000"\
longtitle="a solar system browser"\
needs="x11"\
section="Applications/Sciences/Astronomy"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus}   

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/pixmaps/hh2000/*.xpm
%{_datadir}/%{name}/*/*
%doc AUTHORS COPYING ChangeLog Credits.html NEWS README TODO
%config /usr/share/gnome/apps/Applications/hh2000.desktop
%{_menudir}/*

%changelog
* Tue Jul 31 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6-3mdk
- rebuild

* Thu Jan 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6-2mdk
- rebuild

* Thu Oct 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6-1mdk
- new in contribs
- menu
